Search
K
Embedded Finance

Embedded Finance

1OAS 3.1
API Base URL
  • Server 1:https://api.wayflyer.com/financing/

    Production

Security
CompanyToken (http)

Provide your bearer token in the Authorization header when making requests to protected resources.

Example: Authorization: Bearer 123

PartnerToken (http)

Provide your bearer token in the Authorization header when making requests to protected resources.

Example: Authorization: Bearer 123

Start a hosted application

Start a hosted application for the company i.e., one the user will complete on the Wayflyer app.

If the company hasn’t already been onboarded with Wayflyer then a new company is created in the Wayflyer app with a
funding application pre-configured using any additional data supplied during the API call. The response contains a
next url to redirect the user to which will typically be a co-branded landing page from which they can create
their user account and complete the funding application.

Returns a next url to redirect the company to.

next url will default to a help center article if an error occurs starting the company’s hosted application.

post
https://api.wayflyer.com/financing/company/hosted-application/

Headers

API-Versionstring

Allowed values:1

Body

application/json

HostedApplicationRequest[Any]

company_dataAny Of

Data used to pre-fill the company’s funding application

HostedApplicationCompanyDataobject
Show Child Parameters
user_dataAny Of

Data about the user starting the hosted application

HostedApplicationUserDataobject
Show Child Parameters
partner_data

During onboarding, Wayflyer may have agreed additional data unique to an individual partner that may be used to customise the funding application. This data is not required for the funding application to be processed, but may be used to provide a better experience. Consult with your Wayflyer representative for more information about what can be provided here.

Response

application/json

OK

StartHostedApplicationResponse

nextstringrequired

The URL to redirect to the user to after making this API call

application_idAny Of
required

The ID of the hosted application created by this API call

Variant 1string(uuid)
post/company/hosted-application/

Body

{}
 
application/json

Continue a hosted application

Continue an open hosted application.

Returns a URL to redirect the user to where they can continue their open hosted application.

Requires the company to have been onboarded with Wayflyer and have an open hosted application i.e., call this
endpoint only after calling the start hosted application endpoint.

post
https://api.wayflyer.com/financing/company/hosted-application/continue/

Headers

API-Versionstring

Allowed values:1

Response

application/json

OK

ContinueHostedApplicationResponse

nextstringrequired

The URL to redirect to the user to after making this API call

post/company/hosted-application/continue/
 
application/json